Subject: Re: [PATCH v5 net-next 02/12] net-shapers: implement NL get operation

From: Jakub Kicinski <[email-masked]>
Date: Mon, 2 Sep 2024 17:37:04 -0700

On Mon, 2 Sep 2024 12:10:50 +0200 Paolo Abeni wrote:
> >> Was that way a couple of iterations ago. Jiri explicitly asked for the
> >> separation, I asked for confirmation and nobody objected.  
> > 
> > Could you link to that? I must have not read it.  
> 
> https://lore.kernel.org/netdev/[email-masked]/
> 
> search for "I wonder if the handle should be part of this structure"
> 
> I must admit by wannabe reply on such point never left my outbox.

"I wonder if .." does not sound like a strong preference.
And the parent ID remained in the struct, so it still partially records 
its position in the hierarchy. Since there is no "move" op it's really
not worth multiplying arguments to most functions 2x.